// Control.cpp: implementation of the CControl class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "DirectDraw.h"
#include "Control.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif


#define RES_X			640
#define RES_Y			480
#define RES_BITDEPTH	16
//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CControl::CControl()
{
	m_bReady = FALSE;
}

CControl::~CControl()
{
	
}

HRESULT CControl::DDInit(HWND hWnd)
{
    HRESULT dwResult;

	dwResult = m_theDisplay.CreateFullScreenDisplay(hWnd, RES_X, RES_Y, RES_BITDEPTH);
	if(dwResult != DD_OK) {
		TRACE("Cannot init direct draw system due %d\n", dwResult);
        return dwResult;
	}
	m_surBackground = new CSurface;
	dwResult = m_theDisplay.CreateSurfaceFromBitmap(&m_surBackground, "background.bmp", 0, 0);
	if(dwResult != DD_OK) {
		TRACE("Cannot create background due %d\n", dwResult);
        return dwResult;
	}
 
	m_bReady = TRUE;

    return dwResult;
}

void CControl::UpdateFrame()
{
	if(m_bReady) {
		//...
		CRect rcBackground;
		rcBackground.SetRect(0,0,RES_X, RES_Y);

		m_theDisplay.Blt(0, 0, m_surBackground, rcBackground);	
		//...
		//...
		m_theDisplay.Present();		
	}
}
